UpdateCoreNetworkEndpoint
Updates the configuration of a core network endpoint. You can change the name and modify the IP addresses that the endpoint uses for DNS resolution.
Route 53 Global Resolver is a global service that supports resolvers in multiple
AWS Regions, but you must specify the US East (Ohio) Region to create, update, or
otherwise work with Route 53 Global Resolver resources. That is, for example, specify
--region us-east-2
on AWS CLI commands.
Request Syntax
PATCH /core-network-endpoints/coreNetworkEndpointId HTTP/1.1
Content-type: application/json
{
"name": "string",
"updateIpAddresses": [
{
"dnsLabel": "string",
"ipv4Address": "string",
"ipv6Address": "string",
"operation": "string",
"regions": [ "string" ],
"regionScope": "string"
}
]
}
URI Request Parameters
The request uses the following URI parameters.
- coreNetworkEndpointId
-
The unique identifier of the core network endpoint to update.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+Required: Yes
Request Body
The request accepts the following data in JSON format.
- name
-
The name of the core network endpoint.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
(?!^[0-9]+$)([a-zA-Z0-9-_/' ']+)Required: No
- updateIpAddresses
-
The IP address changes to apply to the core network endpoint. Use this parameter to add or remove the IP addresses that the endpoint uses to resolve DNS queries within the AWS Cloud WAN core network.
Type: Array of UpdateIpAddressEntry objects
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"availableRegions": [ "string" ],
"coreNetworkArn": "string",
"createdAt": "string",
"globalResolverId": "string",
"id": "string",
"ipAddresses": [
{
"dnsLabel": "string",
"dnsName": "string",
"ipv4Address": "string",
"ipv6Address": "string",
"regions": [ "string" ],
"regionScope": "string"
}
],
"name": "string",
"status": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- arn
-
The Amazon Resource Name (ARN) of the updated core network endpoint.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:[-.a-z0-9]{1,63}:[-.a-z0-9]{1,63}:[-.a-z0-9]{0,63}:[-.a-z0-9]{0,63}:[^/].{0,1023} - availableRegions
-
The AWS Regions in which the updated core network endpoint is available.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 32.
- coreNetworkArn
-
The Amazon Resource Name (ARN) of the AWS Cloud WAN core network connected to the updated endpoint.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:[-.a-z0-9]{1,63}:[-.a-z0-9]{1,63}:[-.a-z0-9]{0,63}:[-.a-z0-9]{0,63}:[^/].{0,1023} - createdAt
-
The date and time when the core network endpoint was originally created.
Type: Timestamp
- globalResolverId
-
The ID of the Route 53 Global Resolver associated with the updated core network endpoint.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - id
-
The unique identifier of the updated core network endpoint.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - ipAddresses
-
The IP addresses that the updated core network endpoint uses to resolve DNS queries within the AWS Cloud WAN core network.
Type: Array of CoreNetworkEndpointDnsIpItem objects
- name
-
The name of the updated core network endpoint.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
(?!^[0-9]+$)([a-zA-Z0-9-_/' ']+) - status
-
The current status of the updated core network endpoint.
Type: String
Valid Values:
CREATING | OPERATIONAL | UPDATING | DELETING - updatedAt
-
The date and time when the core network endpoint was last updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You don't have permission to perform this operation. Check your IAM permissions and try again.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource. This can occur when trying to modify a resource that is not in a valid state for the requested operation.
- resourceId
-
The ID of the conflicting resource.
- resourceType
-
The type of the conflicting resource.
HTTP Status Code: 409
- InternalServerException
-
An internal server error occurred. Try again later.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify the resource ID and try again.
- resourceId
-
The unique ID of the resource referenced in the failed request.
- resourceType
-
The resource type of the resource referenced in the failed request.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request would exceed one or more service quotas. Check your current usage and quotas, then try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- resourceId
-
The unique ID of the resource referenced in the failed request.
- resourceType
-
The resource type of the resource referenced in the failed request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 402
- ThrottlingException
-
The request was throttled due to too many requests. Wait a moment and try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 429
- ValidationException
-
The input parameters are invalid. Check the parameter values and try again.
- fieldList
-
The list of fields that aren't valid.
- reason
-
Reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: